2012年10月21日日曜日

Force.com IDE on Eclipse juno

まっさらなMacOS X Lion環境にEclipse junoをインストールし、Install New SoftwareからForce.com IDEを入れようとしたら以下のエラーが出て失敗しました。


Cannot complete the install because one or more required items could not be found.
  Software being installed: Force.com IDE 25.0.0.201206181021 (com.salesforce.ide.feature.feature.group 25.0.0.201206181021)
  Missing requirement: Force.com IDE 25.0.0.201206181021 (com.salesforce.ide.feature.feature.group 25.0.0.201206181021) requires 'org.eclipse.update.ui 0.0.0' but it could not be found


調べたところ、このWork aroundで無事解決しました。

1.HelpメニューからEclipse Market Placeを選択

2.Find:に "EMF Compare"と入力してGO

3.検索結果から "EMF Compare : model comparison and merge"のInstallボタンをクリック

4."EMF Compare ..."を選択し、Nextボタンをクリック

5."I accept..."を選択して、Finishボタンをクリック

6.数秒間"Installing Software"を待って


7."Software Updates"でEclipseをリスタートするか?と聞いてくるのでYes
8.再起動後にForce.com IDEをインストール

今度は無事インストール完了しました。いやはや。

ところで、上の画面コピーが汚い件。

「このウィンドウだけスクリーンショットを取る」みたいなツールを入れてたはずですが、使い方をすっかり忘れてcmd+shift+4に頼ってます。

2 件のコメント:

  1. たすかりました。

    エラーメッセージ検索でトップでした。

    返信削除
  2. お役に立てて何よりです。私はこういうのがすっかり面倒になってpluginではなくForce.com IDEパッケージを使ってます。おかげで/Applications下にはEclipseもどきがゴロゴロと…。

    返信削除